This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

API Specification

Returns the OpenAPI specification for the Data Discovery API.

    Method

    GET

    URL

    http://{Host Address}/doc

    Query Parameters

    None

    Sample Request

    curl -X GET "http://<Host_address>/doc"
         
    import requests
        
        url = "http://<Host_address>/doc"
        response = requests.get(url, verify=False)
        
        print("Status code:", response.status_code)
        print("Response YAML:", response.text)
        
    URL: GET `http: //<Host_address>/doc`

    Sample Response

    Returns the OpenAPI specification in YAML format. The following shows a partial example:

    openapi: 3.0.3
    info:
      title: Protegrity Classification Service API
      version: v2
    servers:
    - url: /pty/data-discovery/v2
    components:
      schemas:
        TextAggregatedResponse:
          allOf:
          # ... (abbreviated)
    paths:
      /classify/text:
        post:
          summary: Classify free-form text input.
          tags: [Classify
    ]
      /classify/tabular:
        post:
          summary: Classify tabular CSV input.
          tags: [Classify
    ]
      /version:
        get:
          summary: Returns runtime version information.
          tags: [Common
    ]
      /log:
        get:
          summary: Get current runtime log level.
          tags: [Common
    ]
      # ... (full specification continues)

    Response Codes

    CodeDescription
    200The OpenAPI specification is returned in YAML format.